package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/8/15
 * @Description 投手总数据实体
 **/
@Data
public class PitcherDataTotalVO {

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手ID")
    private Long pitcherId;

    /**
     * 投手
     */
    @ApiModelProperty(value = "投手")
    private String pitcher;

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 推广计划数量
     */
    @ApiModelProperty(value = "推广计划数量")
    private Long planCount;

    /**
     * 推广账号数量
     */
    @ApiModelProperty(value = "推广账号数量")
    private Long accountCount;

    /**
     * 推广渠道数量
     */
    @ApiModelProperty(value = "推广渠道数量")
    private Long agentCount;

    /**
     * 注册人数-通过广告首次登录小游戏的独立用户数
     */
    @ApiModelProperty(value = "注册人数-通过广告首次登录小游戏的独立用户数")
    private Long registerNum;

    /**
     * 注册成本=实际消耗/注册人数
     */
    @ApiModelProperty(value = "注册成本=实际消耗/注册人数")
    private BigDecimal registerCost;

    /**
     * 首日创角人数
     */
    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    /**
     * 新用户累计创角人数
     */
    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    /**
     * 创角人数
     */
    @ApiModelProperty(value = "创角人数")
    private Long roleNum;

    /**
     * 首日创角成本
     */
    @ApiModelProperty(value = "首日创角成本")
    private BigDecimal firstRoleCost;

    /**
     * 新用户累计创角成本
     */
    @ApiModelProperty(value = "新用户累计创角成本")
    private BigDecimal newUserTotalRoleCost;

    /**
     * 创角成本
     */
    @ApiModelProperty(value = "创角成本")
    private BigDecimal roleNumCost;

    /**
     * 首日创角率
     */
    @ApiModelProperty(value = "首日创角率")
    private BigDecimal firstRoleRate;

    /**
     * 新用户累计创角率
     */
    @ApiModelProperty(value = "新用户累计创角率")
    private BigDecimal newUserTotalRoleRate;

    /**
     * 创角率
     */
    @ApiModelProperty(value = "创角率")
    private BigDecimal roleNumRate;

    /**
     * 新用户充值次数
     */
    @ApiModelProperty(value = "新用户充值次数")
    private Long newUserAmountCount;

    /**
     * 支付宝金额
     */
    @ApiModelProperty(value = "支付宝金额")
    private BigDecimal alipayAmount;
    /**
     * 微信金额
     */
    @ApiModelProperty(value = "微信金额")
    private BigDecimal wxAmount;
    /**
     * 米大师金额
     */
    @ApiModelProperty(value = "米大师金额")
    private BigDecimal miMasterAmount;

    /**
     * 新用户充值人数
     */
    @ApiModelProperty(value = "新用户充值人数")
    private Long newUserAmountNum;

    /**
     * 新用户充值金额
     */
    @ApiModelProperty(value = "新用户充值金额")
    private BigDecimal newUserAmount;

    /**
     * 新增付费次数(首日新用户充值次数)
     */
    @ApiModelProperty(value = "新增付费次数")
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数(首日新用户充值人数)
     */
    @ApiModelProperty(value = "新增付费人数")
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额(首日新用户充值金额)
     */
    @ApiModelProperty(value = "新增付费金额")
    private BigDecimal firstNewUserAmount;

    /**
     * 账面充值次数
     */
    @ApiModelProperty(value = "账面充值次数")
    private Long amountCount;

    /**
     * 账面充值人数
     */
    @ApiModelProperty(value = "账面充值人数")
    private Long amountNum;

    /**
     * 账面充值金额
     */
    @ApiModelProperty(value = "账面充值金额")
    private BigDecimal amount;

    /**
     * 老用户充值次数(每日)
     */
    @ApiModelProperty(value = "老用户充值次数(每日)")
    private Long oldAmountCount;

    /**
     * 老用户充值人数(每日)
     */
    @ApiModelProperty(value = "老用户充值人数(每日)")
    private Long oldAmountNum;

    /**
     * 老用户充值金额(每日)
     */
    @ApiModelProperty(value = "老用户充值金额(每日)")
    private BigDecimal oldAmount;

    /**
     * 至今充值次数(新用户累积充值次数)
     */
    @ApiModelProperty(value = "至今充值次数")
    private Long newUserTotalAmountCount;

    /**
     * 至今充值人数(新用户累积充值人数)
     */
    @ApiModelProperty(value = "至今充值人数")
    private Long newUserTotalAmountNum;

    /**
     * 至今充值金额(新用户累积充值金额)
     */
    @ApiModelProperty(value = "至今充值金额")
    private BigDecimal newUserTotalAmount;

    /**
     * 单日付费100+人数
     */
    @ApiModelProperty(value = "单日付费100+人数")
    private Long hundredUserNum;

    /**
     * 单日付费100+成本
     */
    @ApiModelProperty(value = "单日付费100+成本")
    private BigDecimal hundredUserNumCost;

    /**
     * 买量新用户累计充值金额
     */
    @ApiModelProperty(value = "买量新用户累计充值金额")
    private BigDecimal buyNewUserTotalAmount;

    /**
     * 买量新用户累计充值人数
     */
    @ApiModelProperty(value = "买量新用户累计充值人数")
    private Long buyNewUserTotalAmountNum;

    /**
     * 买量新用户累计充值次数
     */
    @ApiModelProperty(value = "买量新用户累计充值次数")
    private Long buyNewUserTotalAmountCount;

    /**
     * 首日回收率
     */
    @ApiModelProperty(value = "首日回收率")
    private BigDecimal firstRoi;

    /**
     * 买量回收率
     */
    @ApiModelProperty(value = "买量回收率")
    private BigDecimal buyRoi;

    /**
     * 当日回收率(至今回收率)
     */
    @ApiModelProperty(value = "当日回收率")
    private BigDecimal todayRoi;

    /**
     * 毛利额，毛利=新用户-实际消耗
     */
    @ApiModelProperty(value = "毛利额，毛利=新用户-实际消耗")
    private BigDecimal grossProfit;

    /**
     * 新用户回收率
     */
    @ApiModelProperty(value = "新用户回收率")
    private BigDecimal newUserRoi;

    /**
     * 首日付费率
     */
    @ApiModelProperty(value = "首日付费率")
    private BigDecimal firstRate;

    /**
     * 新用户付费率
     */
    @ApiModelProperty(value = "新用户付费率")
    private BigDecimal newUserAmountRate;

    /**
     * 买量用户付费率
     */
    @ApiModelProperty(value = "买量用户付费率")
    private BigDecimal buyUserRate;

    /**
     * 当天付费率
     */
    @ApiModelProperty(value = "当天付费率")
    private BigDecimal todayRate;

    /**
     * 新用户付费比
     */
    @ApiModelProperty(value = "新用户付费比")
    private BigDecimal newUserAmountRatio;

    /**
     * 首日客单价
     */
    @ApiModelProperty(value = "首日客单价")
    private BigDecimal firstAvg;

    /**
     * 新用户客单价
     */
    @ApiModelProperty(value = "新用户客单价")
    private BigDecimal newUserAvg;

    /**
     * 买量客单价
     */
    @ApiModelProperty(value = "买量客单价")
    private BigDecimal buyAvg;

    /**
     * 当天客单价
     */
    @ApiModelProperty(value = "当天客单价")
    private BigDecimal todayAvg;

    /**
     * 账面客单价
     */
    @ApiModelProperty(value = "账面客单价")
    private BigDecimal paperAvg;

    /**
     * 首日充值成本
     */
    @ApiModelProperty(value = "首日充值成本")
    private BigDecimal firstAmountCost;

    /**
     * 新用户充值成本
     */
    @ApiModelProperty(value = "新用户充值成本")
    private BigDecimal newUserAmountCost;

    /**
     * 买量充值成本
     */
    @ApiModelProperty(value = "买量充值成本")
    private BigDecimal buyAmountCost;

    /**
     * 当天充值成本
     */
    @ApiModelProperty(value = "当天充值成本")
    private BigDecimal todayAmountCost;

    /**
     * 复充人数
     */
    @ApiModelProperty(value = "复充人数")
    private Long regOrderUserAgain;

    /**
     * 当天复充率
     */
    @ApiModelProperty(value = "当天复充率")
    private BigDecimal todayAgainRate;

    /**
     * 新用户复充人数
     */
    @ApiModelProperty(value = "新用户复充人数")
    private Long newUserOrderAgain;

    /**
     * 新用户复充率
     */
    @ApiModelProperty(value = "新用户复充率")
    private BigDecimal newUserAgainRate;

    /**
     * 新增注册ARPU
     */
    @ApiModelProperty(value = "新增注册ARPU")
    private BigDecimal newRegArpu;

    /**
     * 首日付费ARPU
     */
    @ApiModelProperty(value = "首日付费ARPU")
    private BigDecimal firstArpu;

    /**
     * 新用户付费ARPU
     */
    @ApiModelProperty(value = "新用户付费ARPU")
    private BigDecimal newUserArpu;

    /**
     * 当天付费ARPU
     */
    @ApiModelProperty(value = "当天付费ARPU")
    private BigDecimal todayArpu;

    /**
     * 账面arpu
     */
    @ApiModelProperty(value = "账面arpu")
    private BigDecimal paperArpu;

    /**
     * 1日roi
     */
    @ApiModelProperty(value = "1日roi")
    private BigDecimal roi1;

    /**
     * 2日roi
     */
    @ApiModelProperty(value = "2日roi")
    private BigDecimal roi2;

    /**
     * 3日roi
     */
    @ApiModelProperty(value = "3日roi")
    private BigDecimal roi3;

    /**
     * 4日roi
     */
    @ApiModelProperty(value = "4日roi")
    private BigDecimal roi4;

    /**
     * 5日roi
     */
    @ApiModelProperty(value = "5日roi")
    private BigDecimal roi5;

    /**
     * 6日roi
     */
    @ApiModelProperty(value = "6日roi")
    private BigDecimal roi6;

    /**
     * 7日roi
     */
    @ApiModelProperty(value = "7日roi")
    private BigDecimal roi7;

    /**
     * 8日roi
     */
    @ApiModelProperty(value = "8日roi")
    private BigDecimal roi8;

    /**
     * 9日roi
     */
    @ApiModelProperty(value = "9日roi")
    private BigDecimal roi9;

    /**
     * 10日roi
     */
    @ApiModelProperty(value = "10日roi")
    private BigDecimal roi10;

    /**
     * 11日roi
     */
    @ApiModelProperty(value = "11日roi")
    private BigDecimal roi11;

    /**
     * 12日roi
     */
    @ApiModelProperty(value = "12日roi")
    private BigDecimal roi12;

    /**
     * 13日roi
     */
    @ApiModelProperty(value = "13日roi")
    private BigDecimal roi13;

    /**
     * 14日roi
     */
    @ApiModelProperty(value = "14日roi")
    private BigDecimal roi14;

    /**
     * 15日roi
     */
    @ApiModelProperty(value = "15日roi")
    private BigDecimal roi15;

    /**
     * 16日roi
     */
    @ApiModelProperty(value = "16日roi")
    private BigDecimal roi16;

    /**
     * 17日roi
     */
    @ApiModelProperty(value = "17日roi")
    private BigDecimal roi17;

    /**
     * 18日roi
     */
    @ApiModelProperty(value = "18日roi")
    private BigDecimal roi18;

    /**
     * 19日roi
     */
    @ApiModelProperty(value = "19日roi")
    private BigDecimal roi19;

    /**
     * 20日roi
     */
    @ApiModelProperty(value = "20日roi")
    private BigDecimal roi20;

    /**
     * 21日roi
     */
    @ApiModelProperty(value = "21日roi")
    private BigDecimal roi21;

    /**
     * 22日roi
     */
    @ApiModelProperty(value = "22日roi")
    private BigDecimal roi22;

    /**
     * 23日roi
     */
    @ApiModelProperty(value = "23日roi")
    private BigDecimal roi23;

    /**
     * 24日roi
     */
    @ApiModelProperty(value = "24日roi")
    private BigDecimal roi24;

    /**
     * 25日roi
     */
    @ApiModelProperty(value = "25日roi")
    private BigDecimal roi25;

    /**
     * 26日roi
     */
    @ApiModelProperty(value = "26日roi")
    private BigDecimal roi26;

    /**
     * 27日roi
     */
    @ApiModelProperty(value = "27日roi")
    private BigDecimal roi27;

    /**
     * 28日roi
     */
    @ApiModelProperty(value = "28日roi")
    private BigDecimal roi28;

    /**
     * 29日roi
     */
    @ApiModelProperty(value = "29日roi")
    private BigDecimal roi29;

    /**
     * 30日roi
     */
    @ApiModelProperty(value = "30日roi")
    private BigDecimal roi30;

    /**
     * 60日ROI
     */
    @ApiModelProperty(value = "60日ROI")
    private BigDecimal roi60;

    /**
     * 90日ROI
     */
    @ApiModelProperty(value = "90日ROI")
    private BigDecimal roi90;

    /**
     * 180日ROI
     */
    @ApiModelProperty(value = "180日ROI")
    private BigDecimal roi180;

    /**
     * 1年ROI
     */
    @ApiModelProperty(value = "1年ROI")
    private BigDecimal roi1yaer;

    /**
     * 总ROI
     */
    @ApiModelProperty(value = "总ROI")
    private BigDecimal roiTotal;

}
